Bug 180675 - net/kdenetwork4: package creation fails
net/kdenetwork4: package creation fails
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: kde
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 12:40 UTC by torsten.eichstaedt
Modified: 2013-08-31 15:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description torsten.eichstaedt 2013-07-20 12:40:00 UTC
When building KDE4 (4.10.5), the build stops due to some mismatch in net/kdenetwork4:

===>>> Creating a backup package for old version kdenetwork-4.10.5
tar: share/doc/HTML/en/kget/common: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/file.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/import_link.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/index.cache.bz2: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/index.docbook: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/kget_Advanced.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/kget_Appearance.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/kget_Network.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/kget_Web_Interface.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/kget_drop_target.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/kget_group.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/kget_groups.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/kget_plugins.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/kget_transfer_hostory.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/kget_verification.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/metalink0.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/metalink1.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/metalink2.png: Cannot stat: No such file or directory
tar: share/doc/HTML/en/kget/metalink3.png: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256

===>>> Package creation failed for kdenetwork-4.10.5!

Fix: 

Build net/kdenetwork4 separately and select to ignore the error, then build x11/kde4 again
How-To-Repeat: # portmaster -Dg --packages-build --delete-build-only --packages-local=/usr/ports/packages x11/kde4
Comment 1 Edwin Groothuis freebsd_committer 2013-07-20 12:40:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Max Brazhnikov freebsd_committer 2013-07-22 16:09:19 UTC
State Changed
From-To: open->closed

Fixed, thanks for report!
Comment 3 dfilter freebsd_committer 2013-08-31 15:45:30 UTC
Author: marino
Date: Sat Aug 31 14:45:10 2013
New Revision: 325812
URL: http://svnweb.freebsd.org/changeset/ports/325812

Log:
  games/ioquake3 and slaves: Fix options
  
  Every touched port was build-tested and passed.
  
  PR:		ports/180675
  Submitted by:	Dominic Fandrey (maintainer)
  Tested on:	FreeBSD 9.1/amd64 with poudriere

Added:
  head/games/iourbanterror/files/patch-code-qcommon-vm_interpreted.c   (contents, props changed)
Deleted:
  head/games/ioquake3/pkg-plist
  head/games/iourbanterror/pkg-plist
  head/games/openarena/pkg-plist
Modified:
  head/games/ioquake3-devel-server/Makefile
  head/games/ioquake3-devel/Makefile
  head/games/ioquake3-devel/distinfo
  head/games/ioquake3-devel/pkg-message
  head/games/ioquake3-server/Makefile
  head/games/ioquake3/Makefile
  head/games/ioquake3/pkg-descr
  head/games/ioquake3/pkg-message
  head/games/iourbanterror-server/Makefile
  head/games/iourbanterror/Makefile
  head/games/iourbanterror/pkg-descr
  head/games/iourbanterror/pkg-message
  head/games/openarena-server/Makefile
  head/games/openarena/Makefile
  head/games/openarena/pkg-descr
  head/games/openarena/pkg-message
  head/games/urbanterror-data/Makefile
  head/games/urbanterror-data/distinfo
  head/games/urbanterror-data/pkg-descr
  head/games/urbanterror-data/pkg-plist

Modified: head/games/ioquake3-devel-server/Makefile
==============================================================================
--- head/games/ioquake3-devel-server/Makefile	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/ioquake3-devel-server/Makefile	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	ioquake3-devel-server
-# Date created:				19 May 2012
-# Whom:					Dominic Fandrey <kamikaze@bsdforen.de>
-#
+# Created by: Dominic Fandrey
 # $FreeBSD$
-#
 
 PORTNAME=	ioquake3-devel
 PKGNAMESUFFIX=	-server
@@ -14,4 +10,6 @@ COMMENT=	Ioquake3 development snapshot d
 UNIQUENAME=	${PORTNAME}${PKGNAMESUFFIX}
 MASTERDIR=	${.CURDIR}/../${PORTNAME}
 
+IOQ3=		SERVER GAMELIBS
+
 .include "${MASTERDIR}/Makefile"

Modified: head/games/ioquake3-devel/Makefile
==============================================================================
--- head/games/ioquake3-devel/Makefile	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/ioquake3-devel/Makefile	Sat Aug 31 14:45:10 2013	(r325812)
@@ -2,23 +2,25 @@
 # $FreeBSD$
 
 PORTNAME?=	ioquake3-devel
-DISTVERSION?=	1.36_SVN${SVNREVISION}
+DISTVERSION?=	GIT${GITREVISION}
 PORTREVISION?=	0
 MASTER_SITES?=	ftp://deponie.yamagi.org/freebsd/distfiles/ioquake3/ \
 		http://deponie.yamagi.org/freebsd/distfiles/ioquake3/
+EXTRACT_SUFX?=	.tar.xz
 
 MAINTAINER?=	kamikaze@bsdforen.de
-COMMENT?=	Development SVN snapshots of ioquake3
+COMMENT?=	Development GIT snapshots of ioquake3
 
 MASTERDIR=	${.CURDIR}/../ioquake3
 DESCR?=		${.CURDIR}/../${PORTNAME}/pkg-descr
 DISTINFO_FILE?=	${.CURDIR}/../${PORTNAME}/distinfo
-PATCHDIR?=	${WRKDIR}/freebsd-patchset/
+PATCHDIR?=	${.CURDIR}/../${PORTNAME}/files
 PKGMESSAGE?=	${.CURDIR}/../${PORTNAME}/pkg-message
 
-SVNREVISION?=	2318
+GITREVISION?=	2178
 BINSUFFIX?=	-devel
 
-HAS_DLRENDERER?=	yes
+IOQ3?=		CLIENT TOOLS DLRENDERER GAMELIBS OPUS OPENGL2
+IOQ3ARCH?=	${ARCH:S/i386/x86/:S/amd64/x86_64/}
 
 .include "${MASTERDIR}/Makefile"

Modified: head/games/ioquake3-devel/distinfo
==============================================================================
--- head/games/ioquake3-devel/distinfo	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/ioquake3-devel/distinfo	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,2 +1,2 @@
-SHA256 (ioquake3-devel-1.36_SVN2318.zip) = 5e82c2108425ef3ce7de463ea924b8b83e6d84b38a60c4561195b4d37ab76c15
-SIZE (ioquake3-devel-1.36_SVN2318.zip) = 5657343
+SHA256 (ioquake3-devel-GIT2178.tar.xz) = 9567243047c7c0ef6f9e329a1c8be826bdce4f12d02685eb51ec3a8058324eb9
+SIZE (ioquake3-devel-GIT2178.tar.xz) = 4167780

Modified: head/games/ioquake3-devel/pkg-message
==============================================================================
--- head/games/ioquake3-devel/pkg-message	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/ioquake3-devel/pkg-message	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,6 +1,2 @@
-==============================================================================
-
 Should the game have trouble meeting com_maxfps, which would result in less
 effective strafe jumping, set com_busywait 1 to restore the old behaviour.
-
-==============================================================================

Modified: head/games/ioquake3-server/Makefile
==============================================================================
--- head/games/ioquake3-server/Makefile	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/ioquake3-server/Makefile	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	ioquake3-server
-# Date created:				19 May 2012
-# Whom:					Dominic Fandrey <kamikaze@bsdforen.de>
-#
+# Created by: Dominic Fandrey <kamikaze@bsdforen.de>
 # $FreeBSD$
-#
 
 PORTNAME=	ioquake3
 PKGNAMESUFFIX=	-server
@@ -14,4 +10,6 @@ COMMENT=	Ioquake3 dedicated server
 UNIQUENAME=	${PORTNAME}${PKGNAMESUFFIX}
 MASTERDIR=	${.CURDIR}/../${PORTNAME}
 
+IOQ3=		SERVER GAMELIBS
+
 .include "${MASTERDIR}/Makefile"

Modified: head/games/ioquake3/Makefile
==============================================================================
--- head/games/ioquake3/Makefile	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/ioquake3/Makefile	Sat Aug 31 14:45:10 2013	(r325812)
@@ -12,62 +12,56 @@ EXTRACT_SUFX?=	.zip
 MAINTAINER?=	kamikaze@bsdforen.de
 COMMENT?=	Cleaned-up and enhanced version of Quake 3
 
-USES=		pkgconfig
-USE_GMAKE=	yes
+USES=		pkgconfig gmake
 
-.if defined(PKGNAMESUFFIX) && ${PKGNAMESUFFIX:M*-server}
-# Server config
-WITH_DEDICATED=	yes
-WITHOUT_CLIENT=	yes
-WITHOUT_SERVER=	yes
-WITHOUT_CURL=	yes
-WITHOUT_OPENAL=	yes
-WITHOUT_MUMBLE=	yes
-WITHOUT_VORBIS=	yes
-WITHOUT_TOOLS=	yes
-WITHOUT_DLRENDERER=	yes
-.else
-# Client config
-WITH_CLIENT=	yes
-WITHOUT_DEDICATED=	yes
+# Port configuration flags:
+# 	CLIENT SERVER TOOLS DLRENDERER GAMELIBS OPUS OPENGL2
+IOQ3?=		CLIENT TOOLS GAMELIBS
+IOQ3ARCH?=	${ARCH}
+
+.if ! ${IOQ3:MCLIENT} && ! ${IOQ3:MSERVER}
+BROKEN=		Slave ports must at least specify IOQ3=CLIENT or IOQ3=SERVER
+.endif
+
+# Client options
+.if ${IOQ3:MCLIENT}
 OPTIONS_DEFINE=	SERVER CURL OPENAL MUMBLE VORBIS DEBUG
 OPTIONS_DEFAULT=	SERVER CURL OPENAL MUMBLE VORBIS
 SERVER_DESC=	Install dedicated server
 MUMBLE_DESC=	Enable Mumble support (no dependencies)
-. if defined(NO_TOOLS)
-WITHOUT_TOOLS=	yes
-. else
+.endif
+.if ${IOQ3:MTOOLS}
 OPTIONS_DEFINE+=	TOOLS
 OPTIONS_DEFAULT+=	TOOLS
 TOOLS_DESC=	Enable modding tools
-. endif
-. if defined(HAS_DLRENDERER)
+.endif
+.if ${IOQ3:MDLRENDERER}
 OPTIONS_DEFINE+=	DLRENDERER
 OPTIONS_DEFAULT+=	DLRENDERER
 DLRENDERER_DESC=	Build dynamically loaded renderer
-. endif
 .endif
-# Common config
-.if !defined(NO_GAMELIBS)
+.if ${IOQ3:MGAMELIBS}
 OPTIONS_DEFINE+=	GAMELIBS
 OPTIONS_DEFAULT+=	GAMELIBS
 GAMELIBS_DESC=	Build game libraries
 .endif
+.if ${IOQ3:MOPUS}
+OPTIONS_DEFINE+=	OPUS
+OPTIONS_DEFAULT+=	OPUS
+OPUS_DESC=	Opus audio codec support
+.endif
 
 MAKE_ARGS+=	DEFAULT_BASEDIR="${Q3DIR}" \
-		DEFAULT_LIBDIR="${LIBDIR}" \
+		DEFAULT_LIBDIR="${PREFIX}/${LIBDIR}" \
 		HOMEPATH="${HOMEPATH}" \
 		VERSION="${Q3ENGINEVER}" \
-		ARCH="${ARCH}" \
+		ARCH="${IOQ3ARCH}" \
 		USE_LOCAL_HEADERS=0
-PLIST_SUB+=	LIBDIR="${LIBDIR:S/${PREFIX}\///}" \
-		ARCH="${ARCH}" \
-		BINSUFFIX="${BINSUFFIX}"
 ALL_TARGET=	release
 
-LIBDIR=		${PREFIX}/lib/${PORTNAME}${PKGNAMESUFFIX}
-DOCSDIR=	${PREFIX}/share/doc/${PORTNAME}${PKGNAMESUFFIX}
-BUILDDIR=	${WRKSRC}/build/${ALL_TARGET}-${OPSYS:L}-${ARCH}
+LIBDIR=		lib/${PORTNAME}${PKGNAMESUFFIX}
+DOCSDIR=	share/doc/${PORTNAME}${PKGNAMESUFFIX}
+BUILDDIR=	${WRKSRC}/build/${ALL_TARGET}-${OPSYS:L}-${IOQ3ARCH}
 BINSUFFIX?=
 HOMEPATH?=	/.${PORTNAME}
 Q3CLIENT?=	ioquake3
@@ -76,10 +70,21 @@ Q3TOOLS?=	q3asm \
 		q3cpp \
 		q3lcc \
 		q3rcc
+Q3DOCS?=	README \
+		id-readme.txt \
+		md4-readme.txt \
+		voip-readme.txt
 Q3BASE?=	baseq3 \
 		missionpack
+Q3GAMELIBS?=	cgame \
+		qagame \
+		ui
 Q3ICON?=	${PREFIX}/share/pixmaps/quake3.xpm
-Q3RENDERER?=	renderer_opengl1_${ARCH}
+.if ${IOQ3:MOPENGL2}
+Q3RENDERER?=	renderer_opengl1_${IOQ3ARCH} renderer_opengl2_${IOQ3ARCH}
+.else
+Q3RENDERER?=	renderer_opengl1_${IOQ3ARCH}
+.endif
 Q3INSTALL?=
 Q3ENGINEVER?=	${DISTVERSION}
 
@@ -96,7 +101,7 @@ RUN_DEPENDS+=	${Q3SERVER}${BINSUFFIX}:${
 .endif
 
 .if !defined(DESKTOP_ENTRIES)
-. if ${PORT_OPTIONS:MCLIENT}
+. if ${IOQ3:MCLIENT}
 DESKTOP_ENTRIES+=	"${Q3CLIENT} ${Q3ENGINEVER}" "${COMMENT}"  \
 		"${Q3ICON}" \
 		"${Q3CLIENT}${BINSUFFIX}" "Game;" false
@@ -108,128 +113,128 @@ DESKTOP_ENTRIES+=	"${Q3CLIENT} ${Q3ENGIN
 . endif
 .endif
 
-.if ! ${PORT_OPTIONS:MCLIENT} && ! ${PORT_OPTIONS:MDEDICATED} && \
-    ! ${PORT_OPTIONS:MSMP}
-IGNORE=		needs at least one of CLIENT, DEDICATED and SMP options
+.if ${IOQ3:MCLIENT}
+MAKE_ARGS+=	BUILD_CLIENT=1
+Q3BIN+=		${Q3CLIENT}
+USE_SDL=	sdl
+.else
+MAKE_ARGS+=	BUILD_CLIENT=0
+.endif
+
+.if ${IOQ3:MSERVER}
+MAKE_ARGS+=	BUILD_SERVER=1
+Q3BIN+=		${Q3SERVER}
+.else
+MAKE_ARGS+=	BUILD_SERVER=0
 .endif
 
-.if ${PORT_OPTIONS:MCLIENT} || ${PORT_OPTIONS:MSMP}
-# cURL
 .if ${PORT_OPTIONS:MCURL}
 LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 MAKE_ARGS+=	USE_CURL=1 USE_CURL_DLOPEN=0
 .else
 MAKE_ARGS+=	USE_CURL=0
 .endif
-# OpenAL
+
 .if ${PORT_OPTIONS:MOPENAL}
 USE_OPENAL=	al
 MAKE_ARGS+=	USE_OPENAL=1 USE_OPENAL_DLOPEN=0
 .else
 MAKE_ARGS+=	USE_OPENAL=0
 .endif
-# SDL
-USE_SDL=	sdl
-# Vorbis
+
 .if ${PORT_OPTIONS:MVORBIS}
-LIB_DEPENDS+=	vorbis.4:${PORTSDIR}/audio/libvorbis
+LIB_DEPENDS+=	vorbis:${PORTSDIR}/audio/libvorbis
 MAKE_ARGS+=	USE_CODEC_VORBIS=1
 .else
 MAKE_ARGS+=	USE_CODEC_VORBIS=0
 .endif
-# Mumble
-.if ${PORT_OPTIONS:MMUMBLE}
-MAKE_ARGS+=	USE_MUMBLE=1
-.else
-MAKE_ARGS+=	USE_MUMBLE=0
-.endif
-.else
-# Features that aren't installed without a client
-WITHOUT_DLRENDERER=	yes
-.endif
 
-# SMP is only built with CLIENT.
-.if ${PORT_OPTIONS:MCLIENT} || ${PORT_OPTIONS:MSMP}
-MAKE_ARGS+=	BUILD_CLIENT=1
-PLIST_SUB+=	CLIENT=""
-Q3BIN+=		${Q3CLIENT}
+.if ${PORT_OPTIONS:MOPUS}
+MAKE_ARGS+=	USE_CODEC_OPUS=1 USE_INTERNAL_OPUS=1
 .else
-MAKE_ARGS+=	BUILD_CLIENT=0
-PLIST_SUB+=	CLIENT="@comment "
+MAKE_ARGS+=	USE_CODEC_OPUS=0
 .endif
 
-.if ${PORT_OPTIONS:MDEDICATED}
-MAKE_ARGS+=	BUILD_SERVER=1
-PLIST_SUB+=	DEDICATED=""
-Q3BIN+=		${Q3SERVER}
+.if ${PORT_OPTIONS:MMUMBLE}
+MAKE_ARGS+=	USE_MUMBLE=1
 .else
-MAKE_ARGS+=	BUILD_SERVER=0
-PLIST_SUB+=	DEDICATED="@comment "
+MAKE_ARGS+=	USE_MUMBLE=0
 .endif
 
 .if ${PORT_OPTIONS:MGAMELIBS}
 MAKE_ARGS+=	BUILD_GAME_SO=1
-PLIST_SUB+=	GAMELIBS=""
 .else
-PLIST_SUB+=	GAMELIBS="@comment "
+MAKE_ARGS+=	BUILD_GAME_SO=0
 .endif
 
 # Note that SMP is only supported on OS-X, hence the option has been removed.
 .if ${PORT_OPTIONS:MSMP}
 MAKE_ARGS+=	BUILD_CLIENT_SMP=1
-PLIST_SUB+=	SMP=""
 Q3BIN+=		${Q3CLIENT}-smp
 .else
 MAKE_ARGS+=	BUILD_CLIENT_SMP=0
-PLIST_SUB+=	SMP="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MDLRENDERER}
-PLIST_SUB+=	DLRENDERER=""
 MAKE_ARGS+=	USE_RENDERER_DLOPEN=1
+. if ${IOQ3:MOPENGL2}
+Q3DOCS+=	opengl2-readme.txt
+. endif
 .else
 MAKE_ARGS+=	USE_RENDERER_DLOPEN=0
-PLIST_SUB+=	DLRENDERER="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MTOOLS}
-PLIST_SUB+=	TOOLS=""
-.else
-PLIST_SUB+=	TOOLS="@comment "
 .endif
 
-do-install: ${Q3INSTALL}
+# Generate a set of install instruction tuples: <cmd>;<src>;<dst>
 .for bin in ${Q3BIN}
-	${INSTALL_PROGRAM} ${BUILDDIR}/${bin}.${ARCH} \
-		${PREFIX}/bin/${bin}${BINSUFFIX}
+IOQ3_INST+=	PROGRAM;${bin}.${IOQ3ARCH};bin/${bin}${BINSUFFIX}
 .endfor
 .if ${PORT_OPTIONS:MTOOLS}
-.for bin in ${Q3TOOLS}
-	${INSTALL_PROGRAM} ${BUILDDIR}/tools/${bin} \
-		${PREFIX}/bin/${bin}${BINSUFFIX}
-.endfor
+. for bin in ${Q3TOOLS}
+IOQ3_INST+=	PROGRAM;tools/${bin};bin/${bin}${BINSUFFIX}
+. endfor
 .endif
 .if ${PORT_OPTIONS:MDLRENDERER}
-.for renderer in ${Q3RENDERER}
-	${MKDIR} ${LIBDIR}
-	${INSTALL_LIB} ${BUILDDIR}/${renderer}.so ${LIBDIR}
-.endfor
+. for renderer in ${Q3RENDERER}
+IOQ3_INST+=	LIB;${renderer}.so;${LIBDIR}/${renderer}.so
+. endfor
 .endif
 .if ${PORT_OPTIONS:MGAMELIBS}
-.for dir in ${Q3BASE}
-	${MKDIR} ${LIBDIR}/${dir}
-	${INSTALL_LIB} ${BUILDDIR}/${dir}/*.so ${LIBDIR}/${dir}
-.endfor
+. for dir in ${Q3BASE}
+PLIST_DIRS+=	${LIBDIR}/${dir}
+.  for lib in ${Q3GAMELIBS}
+IOQ3_INST+=	LIB;${dir}/${lib}${IOQ3ARCH}.so;${LIBDIR}/${dir}/${lib}${IOQ3ARCH}.so
+.  endfor
+. endfor
+.endif
+.if ${PORT_OPTIONS:MDLRENDERER} || ${PORT_OPTIONS:MGAMELIBS}
+PLIST_DIRS+=	${LIBDIR}
 .endif
 .if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
+PLIST_DIRS+=	${DOCSDIR}
+. for doc in ${Q3DOCS}
+IOQ3_INST+=	DATA;../../${doc};${DOCSDIR}/${doc}
+. endfor
 .endif
 
+# Generate PLIST_FILES
+.for inst in ${IOQ3_INST}
+PLIST_FILES+=	${inst:C/.*;//}
+.endfor
+
+# Generate install target
+do-install: ${Q3INSTALL}
+.for dir in ${PLIST_DIRS}
+	${MKDIR} ${PREFIX}/${dir}
+.endfor
+.for inst in ${IOQ3_INST}
+	${INSTALL_${inst:C/;.*//}} ${BUILDDIR}/${inst:C/[^;]*;//:C/;.*//} \
+		${PREFIX}/${inst:C/.*;//}
+.endfor
+
 post-install:
-	@${ECHO_CMD}
+	@${JOT} -s '' -b= 78
 	@${CAT} ${PKGMESSAGE}
-	@${ECHO_CMD}
+	@${JOT} -s '' -b= 78
 
 .if !defined(Q3TOTALCONV)
 .include "${.CURDIR}/../quake3-data/Makefile.include"

Modified: head/games/ioquake3/pkg-descr
==============================================================================
--- head/games/ioquake3/pkg-descr	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/ioquake3/pkg-descr	Sat Aug 31 14:45:10 2013	(r325812)
@@ -8,4 +8,4 @@ playing Quake 3: Arena, Team Arena, and 
 the engine has been ported to many new platforms and has had a slew of new
 features added, along with massive bug extermination.
 
-WWW:	http://ioquake3.org/
+WWW: http://ioquake3.org/

Modified: head/games/ioquake3/pkg-message
==============================================================================
--- head/games/ioquake3/pkg-message	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/ioquake3/pkg-message	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,5 +1,3 @@
-==============================================================================
-
 Should the game freeze when entering a match, try to change the value of
 com_zoneMegs (e.g. to 48).
 
@@ -7,5 +5,3 @@ The configuration files are saved to ~/.
 they have additional variables which would be removed if other engines
 overwrite them. But you can safely copy the original directory to the new one
 for the first time.
-
-==============================================================================

Modified: head/games/iourbanterror-server/Makefile
==============================================================================
--- head/games/iourbanterror-server/Makefile	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/iourbanterror-server/Makefile	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	iourbanterror-server
-# Date created:				19 May 2012
-# Whom:					Dominic Fandrey <kamikaze@bsdforen.de>
-#
+# Created by: Dominic Fandrey
 # $FreeBSD$
-#
 
 PORTNAME=	iourbanterror
 PKGNAMESUFFIX=	-server
@@ -14,4 +10,6 @@ COMMENT=	Urban Terror dedicated server
 UNIQUENAME=	${PORTNAME}${PKGNAMESUFFIX}
 MASTERDIR=	${.CURDIR}/../${PORTNAME}
 
+IOQ3=		SERVER
+
 .include "${MASTERDIR}/Makefile"

Modified: head/games/iourbanterror/Makefile
==============================================================================
--- head/games/iourbanterror/Makefile	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/iourbanterror/Makefile	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,15 +1,11 @@
-# New ports collection makefile for:	ioquake3
-# Date created:				3 Jun 2006
-# Whom:					alepulver
-#
+# Created by: alepulver
 # $FreeBSD$
-#
 
 PORTNAME=	iourbanterror
-PORTVERSION=	${GAMEVERSION}.s${SVNREVISION}
+PORTVERSION=	${GAMEVERSION}.g${GITREVISION}
 PORTEPOCH=	1
 CATEGORIES=	games
-DISTNAME=	ioquake3-devel-1.36_SVN${SVNREVISION}
+DISTNAME=	ioquake3-devel-GIT${GITREVISION}
 
 MAINTAINER=	kamikaze@bsdforen.de
 COMMENT=	Quake 3 engine modified for Urban Terror (based on ioquake3)
@@ -18,14 +14,13 @@ RUN_DEPENDS=	${Q3DIR}/q3ut4:${PORTSDIR}/
 
 MASTERDIR=	${.CURDIR}/../ioquake3-devel
 DISTINFO_FILE=	${.CURDIR}/../ioquake3-devel/distinfo
-PLIST=		${.CURDIR}/../${PORTNAME}/pkg-plist
 
-NO_GAMELIBS=	yes
-NO_TOOLS=	yes
+IOQ3?=		CLIENT DLRENDERER OPUS OPENGL2
+
 # The docs belong to ioquake3
-NOPORTDOCS=	yes
-GAMEVERSION=	4.1.1
-Q3ENGINEVER=	1.36_SVN${SVNREVISION}+${GAMEVERSION}
+OPTIONS_EXCLUDE=	DOCS
+GAMEVERSION=	4.2.014
+Q3ENGINEVER=	GIT${GITREVISION}+${GAMEVERSION}
 Q3TOTALCONV=	yes
 Q3DIR=		${PREFIX}/share/quake3
 Q3ICON=		${PREFIX}/share/quake3/q3ut4/q3ut.ico
@@ -38,12 +33,7 @@ HOMEPATH=	/.ioUrbanTerror
 MAKE_ARGS+=	BUILD_MISSIONPACK=0 \
 		BUILD_STANDALONE=1
 
-UTPATCHES=	${.CURDIR}/../${PORTNAME}/files/*
-
 post-patch:
-	@for utpatch in ${UTPATCHES}; do \
-		${PATCH} -sd "${WRKSRC}" < $$utpatch; \
-	done
 	@${REINPLACE_CMD} \
 		-e 's/ioquake3/${Q3CLIENT}/g' \
 		-e 's/ioq3ded/${Q3SERVER}/g' \

Added: head/games/iourbanterror/files/patch-code-qcommon-vm_interpreted.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/iourbanterror/files/patch-code-qcommon-vm_interpreted.c	Sat Aug 31 14:45:10 2013	(r325812)
@@ -0,0 +1,82 @@
+diff -r de1eebcbab05 code/qcommon/vm_interpreted.c
+--- code/qcommon/vm_interpreted.c	Mon Jul 15 20:43:44 2013 +0200
++++ code/qcommon/vm_interpreted.c	Tue Jul 23 10:41:47 2013 +0200
+@@ -436,21 +436,21 @@
+ 				return 0;
+ 			}
+ #endif
+-			r0 = opStack[opStackOfs] = *(int *) &image[r0 & dataMask & ~3 ];
++			r0 = opStack[opStackOfs] = *(int *) &image[r0 & dataMask ];
+ 			goto nextInstruction2;
+ 		case OP_LOAD2:
+-			r0 = opStack[opStackOfs] = *(unsigned short *)&image[ r0&dataMask&~1 ];
++			r0 = opStack[opStackOfs] = *(unsigned short *)&image[ r0&dataMask ];
+ 			goto nextInstruction2;
+ 		case OP_LOAD1:
+ 			r0 = opStack[opStackOfs] = image[ r0&dataMask ];
+ 			goto nextInstruction2;
+ 
+ 		case OP_STORE4:
+-			*(int *)&image[ r1&(dataMask & ~3) ] = r0;
++			*(int *)&image[ r1&dataMask ] = r0;
+ 			opStackOfs -= 2;
+ 			goto nextInstruction;
+ 		case OP_STORE2:
+-			*(short *)&image[ r1&(dataMask & ~1) ] = r0;
++			*(short *)&image[ r1&dataMask ] = r0;
+ 			opStackOfs -= 2;
+ 			goto nextInstruction;
+ 		case OP_STORE1:
+@@ -460,7 +460,7 @@
+ 
+ 		case OP_ARG:
+ 			// single byte offset from programStack
+-			*(int *)&image[ (codeImage[programCounter] + programStack)&dataMask&~3 ] = r0;
++			*(int *)&image[ (codeImage[programCounter] + programStack)&dataMask ] = r0;
+ 			opStackOfs--;
+ 			programCounter += 1;
+ 			goto nextInstruction;
+a05650c847d3648d03593516ce310db4
+echo x - games/iourbanterror/files/patch-code-qcommon-vm_x86.c
+sed 's/^X//' >games/iourbanterror/files/patch-code-qcommon-vm_x86.c << 'b99229479f1b9014d0f8028a3c1f2c41'
+diff -r de1eebcbab05 code/qcommon/vm_x86.c
+--- code/qcommon/vm_x86.c	Mon Jul 15 20:43:44 2013 +0200
++++ code/qcommon/vm_x86.c	Tue Jul 23 10:41:43 2013 +0200
+@@ -783,7 +783,7 @@
+ 		return qtrue;
+ 
+ 	case OP_STORE4:
+-		EmitMovEAXStack(vm, (vm->dataMask & ~3));
++		EmitMovEAXStack(vm, vm->dataMask);
+ #if idx64
+ 		EmitRexString(0x41, "C7 04 01");		// mov dword ptr [r9 + eax], 0x12345678
+ 		Emit4(Constant4());
+@@ -798,7 +798,7 @@
+ 		return qtrue;
+ 
+ 	case OP_STORE2:
+-		EmitMovEAXStack(vm, (vm->dataMask & ~1));
++		EmitMovEAXStack(vm, vm->dataMask);
+ #if idx64
+ 		Emit1(0x66);					// mov word ptr [r9 + eax], 0x1234
+ 		EmitRexString(0x41, "C7 04 01");
+@@ -1369,7 +1369,7 @@
+ 		case OP_STORE4:
+ 			EmitMovEAXStack(vm, 0);	
+ 			EmitString("8B 54 9F FC");			// mov edx, dword ptr -4[edi + ebx * 4]
+-			MASK_REG("E2", vm->dataMask & ~3);		// and edx, 0x12345678
++			MASK_REG("E2", vm->dataMask);			// and edx, 0x12345678
+ #if idx64
+ 			EmitRexString(0x41, "89 04 11");		// mov dword ptr [r9 + edx], eax
+ #else
+@@ -1381,7 +1381,7 @@
+ 		case OP_STORE2:
+ 			EmitMovEAXStack(vm, 0);	
+ 			EmitString("8B 54 9F FC");			// mov edx, dword ptr -4[edi + ebx * 4]
+-			MASK_REG("E2", vm->dataMask & ~1);		// and edx, 0x12345678
++			MASK_REG("E2", vm->dataMask);			// and edx, 0x12345678
+ #if idx64
+ 			Emit1(0x66);					// mov word ptr [r9 + edx], eax
+ 			EmitRexString(0x41, "89 04 11");
+b99229479f1b9014d0f8028a3c1f2c41
+exit

Modified: head/games/iourbanterror/pkg-descr
==============================================================================
--- head/games/iourbanterror/pkg-descr	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/iourbanterror/pkg-descr	Sat Aug 31 14:45:10 2013	(r325812)
@@ -9,4 +9,4 @@ and nice jumps. Urban Terror has 7 game 
 This port installs a modified ioquake3 engine for Urban Terror called
 ioUrbanTerror, and depends on the data, resulting in a playable game.
 
-WWW:	http://www.urbanterror.info/
+WWW: http://www.urbanterror.info/

Modified: head/games/iourbanterror/pkg-message
==============================================================================
--- head/games/iourbanterror/pkg-message	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/iourbanterror/pkg-message	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,5 +1,3 @@
-==============================================================================
-
 Note, that the port was switched over to use the original ioquake project
 source code instead of code provided by the UrbanTerror project. The
 UrbanTerror project is switching to a closed source licensing model:
@@ -7,5 +5,3 @@ UrbanTerror project is switching to a cl
 
 Should the game have trouble meeting com_maxfps, set com_busywait 1 to restore
 the old behaviour.
-
-==============================================================================

Modified: head/games/openarena-server/Makefile
==============================================================================
--- head/games/openarena-server/Makefile	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/openarena-server/Makefile	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	openarena-server
-# Date created:				19 May 2012
-# Whom:					Dominic Fandrey <kamikaze@bsdforen.de>
-#
+# Created by: Dominic Fandrey
 # $FreeBSD$
-#
 
 PORTNAME=	openarena
 PKGNAMESUFFIX=	-server
@@ -14,4 +10,6 @@ COMMENT=	OpenArena dedicated server
 UNIQUENAME=	${PORTNAME}${PKGNAMESUFFIX}
 MASTERDIR=	${.CURDIR}/../${PORTNAME}
 
+IOQ3=		SERVER
+
 .include "${MASTERDIR}/Makefile"

Modified: head/games/openarena/Makefile
==============================================================================
--- head/games/openarena/Makefile	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/openarena/Makefile	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	openarena
-# Date created:				2007-08-01
-# Whom:					Josh Tolbert <hemi@puresimplicity.net>
-#
+# Created by: Josh Tolbert
 # $FreeBSD$
-#
 
 PORTNAME=	openarena
 PORTVERSION=	${GAMEVERSION}.s${SVNREVISION}
@@ -24,19 +20,16 @@ MASTERDIR=	${.CURDIR}/../ioquake3
 DESCR=		${.CURDIR}/../${PORTNAME}/pkg-descr
 DISTINFO_FILE=	${.CURDIR}/../${PORTNAME}/distinfo
 PATCHDIR=	${.CURDIR}/../${PORTNAME}/files
-PLIST=		${.CURDIR}/../${PORTNAME}/pkg-plist
 PKGMESSAGE=	${.CURDIR}/../${PORTNAME}/pkg-message
 
-NO_GAMELIBS=	yes
-NO_TOOLS=	yes
+IOQ3?=		CLIENT
+IOQ3ARCH?=	${ARCH}
 # OpenArena doc is too messy to bother
-NOPORTDOCS=	yes
-# Dynamically loaded renderer not yet supported
-WITHOUT_DLRENDERER=	yes
+OPTIONS_EXCLUDE=	DOCS
 
 GAMEVERSION=	0.8.8
 SVNREVISION=	1910
-Q3ENGINEVER=	1.36_SVN${SVNREVISION}+${GAMEVERSION}
+Q3ENGINEVER=	SVN${SVNREVISION}+${GAMEVERSION}
 Q3TOTALCONV=	yes
 Q3CLIENT=	openarena
 Q3SERVER=	oa_ded

Modified: head/games/openarena/pkg-descr
==============================================================================
--- head/games/openarena/pkg-descr	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/openarena/pkg-descr	Sat Aug 31 14:45:10 2013	(r325812)
@@ -4,4 +4,4 @@ There are many game types supported incl
 Domination, Overload, Harvester, and more. There are 17 unique player models to
 choose from and 12 weapons.
 
-WWW:	http://openarena.ws/
+WWW: http://openarena.ws/

Modified: head/games/openarena/pkg-message
==============================================================================
--- head/games/openarena/pkg-message	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/openarena/pkg-message	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,6 +1,2 @@
-==============================================================================
-
 Should the game have trouble meeting com_maxfps, which would result in less
 effective strafe jumping, set com_busywait 1 to restore the old behaviour.
-
-==============================================================================

Modified: head/games/urbanterror-data/Makefile
==============================================================================
--- head/games/urbanterror-data/Makefile	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/urbanterror-data/Makefile	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,18 +1,14 @@
-# New ports collection makefile for:	urbanterror-data
-# Date created:				2007-09-10
-# Whom:					alepulver
-#
+# Created by: alepulver
 # $FreeBSD$
-#
 
 PORTNAME=	data
-PORTVERSION=	4.1.1
+PORTVERSION=	4.2.014
 CATEGORIES=	games
-MASTER_SITES=	ftp://ftp.snt.utwente.nl/pub/games/urbanterror/full_install/linux_or_mac/ \
-		http://www.iourt.com/files/ \
-		http://urbanterror.mtc-team.fr/
+MASTER_SITES=	http://www.ftwgl.com/files/mirror/ \
+		http://www.f1m.fr/uploads/urt/ \
+		http://maps.goreclan.net/
 PKGNAMEPREFIX=	urbanterror-
-DISTNAME=	UrbanTerror${PORTVERSION:S/.//g}
+DISTNAME=	UrbanTerror${URT_VER}_full${URT_REV}
 EXTRACT_SUFX=	.zip
 EXTRACT_ONLY=
 
@@ -23,18 +19,25 @@ NO_BUILD=	yes
 NO_PACKAGE=	Package will be 1GB; set FORCE_PACKAGE if you really want it
 
 DATADIR=	${PREFIX}/share/quake3
+DOCSDIR=	${PREFIX}/share/doc/${PKGNAMEPREFIX}${PORTNAME}
+
+URT_VER=	${PORTVERSION:C/([0-9]+).([0-9]+).*/\1\2/}
+URT_REV=	${PORTVERSION:C/([0-9]+\.[0-9]+).*\.([0-9]+)/\2/}
+
+PLIST_SUB+=	VER=${URT_VER}
+
+.include <bsd.port.options.mk>
 
 do-install:
 	${MKDIR} ${DATADIR}/q3ut4
 	${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${DISTDIR}/${DISTFILES} \
 		${EXTRACT_AFTER_ARGS} -C ${DATADIR} --strip-components 1 \
-		UrbanTerror/q3ut4
-.if !defined(NOPORTDOCS)
+		UrbanTerror${URT_VER}/q3ut4
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
-	${MV} ${DATADIR}/q3ut4/readme${PORTVERSION:S/.//:C/\..*//}.txt \
-		${DOCSDIR}/readme${PORTVERSION:S/.//g}.txt
+	${MV} ${DATADIR}/q3ut4/readme${URT_VER}.txt ${DOCSDIR}
 .else
-	${RM} ${DATADIR}/q3ut4/readme${PORTVERSION:S/.//:C/\..*//}.txt
+	${RM} ${DATADIR}/q3ut4/readme${URT_VER}.txt
 .endif
 
 .include <bsd.port.mk>

Modified: head/games/urbanterror-data/distinfo
==============================================================================
--- head/games/urbanterror-data/distinfo	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/urbanterror-data/distinfo	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,2 +1,2 @@
-SHA256 (UrbanTerror411.zip) = 32d578c556975db2b09735d8be49b575cc0bfc4d379ca57d9981c656115a6f47
-SIZE (UrbanTerror411.zip) = 1074190065
+SHA256 (UrbanTerror42_full014.zip) = 52618f40223baedf37b0a97fc99fd05d3915d20eaff38c71e4eeb66835c7d169
+SIZE (UrbanTerror42_full014.zip) = 1548345447

Modified: head/games/urbanterror-data/pkg-descr
==============================================================================
--- head/games/urbanterror-data/pkg-descr	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/urbanterror-data/pkg-descr	Sat Aug 31 14:45:10 2013	(r325812)
@@ -9,4 +9,4 @@ and nice jumps. Urban Terror has 7 game 
 This port only contains the data, and can be played with ioUrbanTerror
 (games/iourbanterror) or any other Quake 3 Arena compatible engine.
 
-WWW:	http://www.urbanterror.net/
+WWW: http://www.urbanterror.net/

Modified: head/games/urbanterror-data/pkg-plist
==============================================================================
--- head/games/urbanterror-data/pkg-plist	Sat Aug 31 14:23:18 2013	(r325811)
+++ head/games/urbanterror-data/pkg-plist	Sat Aug 31 14:45:10 2013	(r325812)
@@ -1,19 +1,34 @@
-%%PORTDOCS%%%%DOCSDIR%%/readme411.txt
-%%DATADIR%%/q3ut4/QIIIA Game Source (SDK) License.doc
-%%DATADIR%%/q3ut4/Urban Terror on the Web.url
-%%DATADIR%%/q3ut4/autoexec.cfg
-%%DATADIR%%/q3ut4/demos/tutorial.dm_68
-%%DATADIR%%/q3ut4/description.txt
-%%DATADIR%%/q3ut4/mapcycle.txt
-%%DATADIR%%/q3ut4/q3ut.ico
-%%DATADIR%%/q3ut4/screenshots/shot0000.jpg
-%%DATADIR%%/q3ut4/server.cfg
+%%PORTDOCS%%%%DOCSDIR%%/readme%%VER%%.txt
+%%DATADIR%%/q3ut4/How_To_Install.txt
+%%DATADIR%%/q3ut4/QIIIA_Game_Source_License.doc
+%%DATADIR%%/q3ut4/autoexec_example.cfg
+%%DATADIR%%/q3ut4/mapcycle_example.txt
+%%DATADIR%%/q3ut4/server_example.cfg
 %%DATADIR%%/q3ut4/ut4_commune.pk3
-%%DATADIR%%/q3ut4/zpak000.pk3
-%%DATADIR%%/q3ut4/zpak000_assets.pk3
-%%DATADIR%%/q3ut4/zpak001_assets.pk3
-@dirrm %%DATADIR%%/q3ut4/screenshots
-@dirrm %%DATADIR%%/q3ut4/demos
+%%DATADIR%%/q3ut4/ut4_jumpents.pk3
+%%DATADIR%%/q3ut4/zUrT42_0001.pk3
+%%DATADIR%%/q3ut4/zUrT42_0002.pk3
+%%DATADIR%%/q3ut4/zUrT42_0003.pk3
+%%DATADIR%%/q3ut4/zUrT42_0004.pk3
+%%DATADIR%%/q3ut4/zUrT42_0005.pk3
+%%DATADIR%%/q3ut4/zUrT42_0006.pk3
+%%DATADIR%%/q3ut4/zUrT42_0007.pk3
+%%DATADIR%%/q3ut4/zUrT42_0008.pk3
+%%DATADIR%%/q3ut4/zUrT42_0009.pk3
+%%DATADIR%%/q3ut4/zUrT42_0010.pk3
+%%DATADIR%%/q3ut4/zUrT42_0011.pk3
+%%DATADIR%%/q3ut4/zUrT42_0012.pk3
+%%DATADIR%%/q3ut4/zUrT42_0013.pk3
+%%DATADIR%%/q3ut4/zUrT42_0014.pk3
+%%DATADIR%%/q3ut4/zUrT42_0015.pk3
+%%DATADIR%%/q3ut4/zUrT42_0016.pk3
+%%DATADIR%%/q3ut4/zUrT42_0017.pk3
+%%DATADIR%%/q3ut4/zUrT42_0018.pk3
+%%DATADIR%%/q3ut4/zUrT42_0019.pk3
+%%DATADIR%%/q3ut4/zUrT42_0020.pk3
+%%DATADIR%%/q3ut4/zUrT42_0021.pk3
+%%DATADIR%%/q3ut4/zUrT42_0022.pk3
+%%DATADIR%%/q3ut4/zUrT42_qvm.pk3
 @dirrm %%DATADIR%%/q3ut4
 @dirrmtry %%DATADIR%%
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"